/*
 *       Copyright (c) 2000,2001,2002 DESY Hamburg DMG-Division
 *               All rights reserved.
 *
 *       THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF
 *                 DESY Hamburg DMG-Division
 *
 *
 *       By obtaining, using and/or copying this work, you agree that you have
 *       read, understood, and will comply with the following terms and
 *       conditions:
 *
 *       1. Copying
 *
 *       You are permitted to make backup copies for your own use. You may not
 *       distribute copies of this source code, with or without your changes,
 *       to anyone other than members of dCache project. To distribute copies
 *       of this source code to other people you must contact dCache project
 *       management and get a express written permission.
 *
 *       2. Distribution of Executables
 *
 *       Provided your changes are acceptable, you can compile the source,
 *       using any compiler, and distribute copies of the resulting executable
 *       file (but not the source or the intermediate object files). You are
 *       allowed to give your executables away for free of charge.
 *
 *
 *       3. LIMITATION OF LIABILITY
 *
 *       THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 *       EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 *       OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 *       NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 *       BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 *       AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 *       OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 *       IN THE SOFTWARE.
 *
 */

/*
 *
 *       This license is Copyright (C) 2002 DESY Hamburg DMG-Division.
 *                      All rights reserved. 
 *
 *       Permission is hereby granted to copy and distribute this license
 *       without modification. This license may not be modified without
 *       the express written permission of its copyright owner.
 *  
 */
/*
 * $Id: dcap_errno.h,v 1.1.1.1 2004/12/22 08:57:55 ernst Exp $
 */
 
#ifndef _DC_ERROR_NUM_H
#define _DC_ERROR_NUM_H

#define DEOK		0
#define DERESOLVE	8
#define DEAD		11
#define DENE		12
#define DENPNFS		13
#define DEEVAL		14
#define DEEPNFS		15
#define DEPNFSID	16
#define DENODE		17
#define DECC		18
#define DECONF		19
#define DEPARSER	20
#define DESYS		21
#define DECONFF		22
#define DENOCONF	23
#define DESOCKET	24
#define DECONNECT	25
#define DEHELLO		26
#define DEBIND		27
#define DEMALLOC	28
#define DEFLAGS		29
#define DESRVMSG	30
#define DENCACHED   31
#define DEURL       32
#define DEUOF       33

#define DEMAXERRORNUM 33


#endif
